Summary:	Ping/Traceroute network diagnostic tool
Name:		mtr
Version:	0.94
Release:	%mkrel 1
Group:		Networking/Other
License:	GPLv2+
URL:		https://www.bitwizard.nl/mtr
Source0:	https://github.com/traviscross/mtr/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		mtr-autoconf.patch
BuildRequires:	autoconf
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ncurses)

%description
Mtr is a network diagnostic tool which combines Ping and Traceroute into one
program. Mtr also has two interfaces: An ncurses interface, useful for using
Mtr from a telnet session and a Gtk interface if you are using X.

%package	gtk
Summary:	Ping/Traceroute network diagnostic tool - GTK Interface
Group:		Networking/Other
Requires:	mtr
Provides:	xmtr

%description	gtk
This is the Gtk interface for the mtr network diagnostic tool.

%prep
%setup -q
%autopatch -p1

# for autoreconf
echo %{version} > .tarball-version

%build
autoreconf -vfi
%configure
%make_build && mv mtr xmtr && %make_build distclean

%configure \
    --sbindir=%{_bindir} \
    --without-gtk
%make_build

%install
%make_install

for size in 16x16 32x32 48x48; do
install -d %{buildroot}%{_iconsdir}/hicolor/${size}/apps/
convert img/mtr_icon.xpm -size ${size} %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
done

install -d %{buildroot}%{_bindir}
install -m755 xmtr %{buildroot}%{_bindir}/xmtr

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xmtr
Comment=Ping/Traceroute network diagnostic tool
Exec=xmtr
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;System;Monitor;
EOF

%files
%doc AUTHORS FORMATS NEWS README.md SECURITY TODO
%attr(-,root,ntools) %{_bindir}/mtr
%attr(-,root,ntools) %caps(cap_net_raw+ep) %{_bindir}/mtr-packet
%{_datadir}/bash-completion/completions/mtr
%{_mandir}/man8/mtr.8*
%{_mandir}/man8/mtr-packet.8*

%files gtk
%attr(-,root,ntools) %{_bindir}/xmtr
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Dec 03 2020 luigiwalser <luigiwalser> 0.94-1.mga8
+ Revision: 1652334
- 0.94

* Fri Oct 30 2020 wally <wally> 0.93-3.mga8
+ Revision: 1640667
- fix build with autoconf > 2.69

* Tue Feb 18 2020 umeabot <umeabot> 0.93-2.mga8
+ Revision: 1538597
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 24 2019 daviddavid <daviddavid> 0.93-1.mga8
+ Revision: 1462561
- new version: 0.93

* Tue Jul 02 2019 wally <wally> 0.92-4.mga8
+ Revision: 1417569
- move all binaries to /usr/bin

* Sun Jun 23 2019 wally <wally> 0.92-3.mga8
+ Revision: 1400557
- drop mtr and xmtr setuid bits (mga#24977)
- replace mtr-packet setuid bit with cap_net_raw+ep cap
- update urls

* Sun Sep 23 2018 umeabot <umeabot> 0.92-2.mga7
+ Revision: 1299643
- Mageia 7 Mass Rebuild

* Wed Jul 19 2017 daviddavid <daviddavid> 0.92-1.mga7
+ Revision: 1125226
- new version: 0.92
- remove no more needed patches

* Sun Feb 12 2017 daviddavid <daviddavid> 0.87-1.mga6
+ Revision: 1085842
- new version: 0.87
- remove merged upstream crash-in-xml-mode patch
- switch BRs to pkgconfig()

* Tue Feb 09 2016 umeabot <umeabot> 0.86-3.mga6
+ Revision: 952757
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.86-2.mga6
+ Revision: 930523
- Mageia 6 Mass Rebuild

* Tue May 19 2015 akien <akien> 0.86-1.mga5
+ Revision: 822413
- Modernise spec file
- Version 0.86 (fixes mga#14322)

* Wed Oct 15 2014 umeabot <umeabot> 0.85-4.mga5
+ Revision: 746522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.85-3.mga5
+ Revision: 682686
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.85-2.mga4
+ Revision: 530645
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 0.85-1.mga4
+ Revision: 458664
- New version: 0.85
- Rediff patches 2 and 3

* Sat Mar 23 2013 wally <wally> 0.82-3.mga3
+ Revision: 404695
- fix desktop file name
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 0.82-2.mga3
+ Revision: 360479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 luigiwalser <luigiwalser> 0.82-1.mga2
+ Revision: 210642
- 0.82

* Fri Apr 22 2011 ennael <ennael> 0.80-3.mga1
+ Revision: 89734
- clean spec file
- imported package mtr


* Mon Nov 01 2010 Oden Eriksson <oeriksson@mandriva.com> 0.80-3mdv2011.0
+ Revision: 591434
- sync with mtr-0.80-1.fc15.src.rpm

* Sun Sep 12 2010 Oden Eriksson <oeriksson@mandriva.com> 0.80-2mdv2011.0
+ Revision: 577801
- seems to build fine without libgtk+-devel

* Tue Aug 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.80-1mdv2011.0
+ Revision: 572620
- update to 0.80

* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.75-3mdv2010.0
+ Revision: 453966
- rediffed one fuzzy patch
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.75-1mdv2009.1
+ Revision: 298218
- 0.75
- drop redundant patches; P0,P1

* Wed Sep 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.74-1mdv2009.0
+ Revision: 279782
- 0.74

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.73-2mdv2009.0
+ Revision: 268172
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Frederik Himpe <fhimpe@mandriva.org> 0.73-1mdv2009.0
+ Revision: 210729
- Add BuildRequires: libgtk+-devel, otherwise %%configure fails
- New version (fixes CVE-2008-2357)
- Sync patches with Fedora

* Sun Apr 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.72-4mdv2009.0
+ Revision: 192661
- fix #40044 (mtr-gtk was build without gtk support)

* Fri Mar 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.72-3mdv2008.1
+ Revision: 187831
- fix deps (fixes #38873)
- build it against gtk2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 02 2007 Funda Wang <fwang@mandriva.org> 0.72-2mdv2008.1
+ Revision: 114401
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - do not harcode icon extension

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.72-1mdv2008.0
+ Revision: 29466
- release 0.72


* Wed Mar 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.71-2mdv2007.1
+ Revision: 147524
- Import mtr

* Wed Mar 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.71-2mdv2007.1
- use the %%mkrel macro
- bunzip patches
- fix the xdg menu stuff

* Mon Mar 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.71-1mdk
- 0.71
- dropped P0, another fix is in there

* Sun Feb 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.69-2mdk
- added P1 from fedora (fix for CVE-2002-0497)

* Wed Feb 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.69-1mdk
- 0.69

* Mon Dec 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.67-2mdk
- make it compile on amd64

* Mon Dec 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.67-1mdk
- 0.67

* Wed Nov 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.65-1mdk
- 0.65

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.58-1mdk
- 0.58
- use the %%configure2_5x macro
- misc spec file fixes

